import { EventEmitter, TemplateRef, AfterViewInit } from '@angular/core';
import { HighlightService } from './highlight.service';
import { ParsedList } from './parsedList';
import { ParseType } from './parseType';
export declare class ParsedTextComponent implements AfterViewInit {
    private highlight;
    _text: string;
    _parse: ParseType[];
    text: string;
    parse: ParseType[];
    trigger: EventEmitter<{}>;
    custom: TemplateRef<any>;
    parsedList: ParsedList[];
    constructor(highlight: HighlightService);
    ngAfterViewInit(): void;
    highlightText(): void;
    emitLink(parse: ParsedList): void;
}
